// A tile_t is a char in "123456789." (including the dot)
//
// tile_new checks this.
//
// The digits represent the values of filled cells, while the dot represents an
// empty cell.


#ifndef TILE_H
#define TILE_H

typedef struct { char value; } tile_t;

// Create a tile from a character, validating that the character is in
// "123456789."
tile_t tile_new(char c);

#endif
